OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_ProductConcept Class Reference

Representation of STEP entity ProductConcept
.

`#include <StepRepr_ProductConcept.hxx>`

## Public Member Functions
Standard_EXPORT | StepRepr_ProductConcept ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aId, const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_ProductConceptContext)&aMarketContext)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Id () const
| Returns field Id .
Standard_EXPORT void | SetId (const Handle(TCollection_HAsciiString)&Id)
| Set field Id .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepBasic_ProductConceptContext | MarketContext () const
| Returns field MarketContext .
Standard_EXPORT void | SetMarketContext (const Handle(StepBasic_ProductConceptContext)&MarketContext)
| Set field MarketContext .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | theId
Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_ProductConceptContext | theMarketContext
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_ProductConcept::StepRepr_ProductConcept | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ProductConcept::Description | ( |  | ) | const

Standard_EXPORT const StepRepr_ProductConcept::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepRepr_ProductConcept::HasDescription | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ProductConcept::Id | ( |  | ) | const

Standard_EXPORT void StepRepr_ProductConcept::Init | ( | const Handle(TCollection_HAsciiString)& | aId,
|  | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_ProductConceptContext)& | aMarketContext
| ) |

Standard_EXPORT Handle_StepBasic_ProductConceptContext StepRepr_ProductConcept::MarketContext | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_ProductConcept::Name | ( |  | ) | const

Standard_EXPORT void StepRepr_ProductConcept::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepRepr_ProductConcept::SetId | ( | const Handle(TCollection_HAsciiString)& | Id | ) |

Standard_EXPORT void StepRepr_ProductConcept::SetMarketContext | ( | const Handle(StepBasic_ProductConceptContext)& | MarketContext | ) |

Standard_EXPORT void StepRepr_ProductConcept::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Standard_Boolean StepRepr_ProductConcept::defDescription`[private]`

Handle_TCollection_HAsciiString StepRepr_ProductConcept::theDescription`[private]`

Handle_TCollection_HAsciiString StepRepr_ProductConcept::theId`[private]`

Handle_StepBasic_ProductConceptContext StepRepr_ProductConcept::theMarketContext`[private]`

Handle_TCollection_HAsciiString StepRepr_ProductConcept::theName`[private]`

The documentation for this class was generated from the following file:

- StepRepr_ProductConcept.hxx